Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Creates a new tool in the workspace.
curl --request POST \
--url https://api.orq.ai/v2/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "Default",
"key": "<string>",
"description": "<string>",
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"strict": true
},
"display_name": "<string>",
"status": "live"
}
'{
"path": "Default",
"key": "<string>",
"description": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"created": "<string>",
"updated": "<string>",
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
}
},
"_id": "tool_01KPTAPD6TT1SFJDTZX7BACJDP",
"display_name": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"status": "live"
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The tool to create
A custom function tool that allows the model to call predefined functions with structured parameters.
Entity storage path in the format: project/folder/subfolder/...
The first element identifies the project, followed by nested folders (auto-created as needed).
With project-based API keys, the first element is treated as a folder name, as the project is predetermined by the API key.
"Default"
Unique key of the tool as it will be displayed in the UI
1 - 64^[A-Za-z]([A-Za-z0-9]*([_-][A-Za-z0-9]+)*)?$A description of the tool, used by the model to choose when and how to call the tool. We do recommend using the description field as accurate as possible to give enough context to the model to make the right decision.
function Show child attributes
The name of the tool as it will be displayed in the UI. This is optional and if not provided, the key will be used.
The status of the tool. Live is the latest version of the tool. Draft is a version that is not yet published. Pending is a version that is pending approval. Published is a version that was live and has been replaced by a new version.
live, draft, pending, published Successfully created the tool.
A custom function tool that allows the model to call predefined functions with structured parameters.
Entity storage path in the format: project/folder/subfolder/...
The first element identifies the project, followed by nested folders (auto-created as needed).
With project-based API keys, the first element is treated as a folder name, as the project is predetermined by the API key.
"Default"
Unique key of the tool as it will be displayed in the UI
1 - 64^[A-Za-z]([A-Za-z0-9]*([_-][A-Za-z0-9]+)*)?$A description of the tool, used by the model to choose when and how to call the tool. We do recommend using the description field as accurate as possible to give enough context to the model to make the right decision.
function Show child attributes
The name of the tool as it will be displayed in the UI. This is optional and if not provided, the key will be used.
The id of the user that created the tool
The id of the user that last updated the tool
The status of the tool. Live is the latest version of the tool. Draft is a version that is not yet published. Pending is a version that is pending approval. Published is a version that was live and has been replaced by a new version.
live, draft, pending, published Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "Default",
"key": "<string>",
"description": "<string>",
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"strict": true
},
"display_name": "<string>",
"status": "live"
}
'{
"path": "Default",
"key": "<string>",
"description": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"created": "<string>",
"updated": "<string>",
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
}
},
"_id": "tool_01KPTAPD6TT1SFJDTZX7BACJDP",
"display_name": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"status": "live"
}